curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/ \
--header 'Authorization: Bearer <token>'{
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"name": "<string>",
"value": "<string>"
}
],
"eventName": "<string>",
"objectId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"appInfo": {
"id": "<string>",
"name": "<string>"
},
"attendees": 123,
"cancellations": 123,
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventOrganizer": "<string>",
"eventStatus": "<string>",
"eventStatusV2": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"externalEventId": "<string>",
"noShows": 123,
"registrants": 123,
"startDateTime": "2023-11-07T05:31:56Z"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}手動で作成されたかアプリケーションを介して作成されたかに関係なく、ポータルで使用可能な全てのマーケティングイベントとそのプロパティーを返します。
このエンドポイントによって返されるマーケティングイベントは、objectIdで並べ替えられます。
curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/ \
--header 'Authorization: Bearer <token>'{
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"name": "<string>",
"value": "<string>"
}
],
"eventName": "<string>",
"objectId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"appInfo": {
"id": "<string>",
"name": "<string>"
},
"attendees": 123,
"cancellations": 123,
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventOrganizer": "<string>",
"eventStatus": "<string>",
"eventStatusV2": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"externalEventId": "<string>",
"noShows": 123,
"registrants": 123,
"startDateTime": "2023-11-07T05:31:56Z"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}サポートされる製品
必須スコープ